<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AppStateSyncKeyId extends \Google\Protobuf\Internal\Message
{
    


    protected $keyId = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getKeyId()
    {
        return isset($this->keyId) ? $this->keyId : '';
    }

    public function hasKeyId()
    {
        return isset($this->keyId);
    }

    public function clearKeyId()
    {
        unset($this->keyId);
    }

    




    public function setKeyId($var)
    {
        GPBUtil::checkString($var, False);
        $this->keyId = $var;

        return $this;
    }

}

